Subject: Re: bug#26103: 25.1; Typo in rfc2231-encode-string docstring

From: Katsumi Yamaoka <[email-masked]>
Date: Wed, 15 Mar 2017 14:54:14 +0900

On Wed, 15 Mar 2017 01:24:38 +0000, Tim Landscheidt wrote:
> In:

>| (defun rfc2231-encode-string (param value)
>|   "Return and PARAM=VALUE string encoded according to RFC2231.
>| Use `mml-insert-parameter' or `mml-insert-parameter-string' to insert
>| the result of this function."
>| […]

> it should read: "Return a PARAM=VALUE string […]."

I think so, too.  Furthermore, there are two similar ones:

(defun rfc2045-encode-string (param value)
  "Return and PARAM=VALUE string encoded according to RFC2045."

(defun rfc2047-encode-parameter (param value)
  "Return and PARAM=VALUE string encoded in the RFC2047-like style.

Lars wrote rfc2231- and rfc2045- 18 years ago, and rfc2047- is
what I made 13 years ago following in Lars' footsteps.
All those are typo errors, aren't they? ;-)